Page MenuHomePhabricator

[WebAssembly] Codegen for extmul SIMD instructions
ClosedPublic

Authored by tlively on Jul 23 2021, 4:32 PM.

Details

Summary

Replace the clang builtins and LLVM intrinsics for the SIMD extmul instructions
with normal codegen patterns.

Diff Detail

Event Timeline

tlively created this revision.Jul 23 2021, 4:32 PM
tlively requested review of this revision.Jul 23 2021, 4:32 PM
Herald added projects: Restricted Project, Restricted Project. · View Herald TranscriptJul 23 2021, 4:32 PM
aheejin accepted this revision.Jul 26 2021, 3:00 PM
This revision is now accepted and ready to land.Jul 26 2021, 3:00 PM
This revision was landed with ongoing or failed builds.Jul 27 2021, 8:41 AM
This revision was automatically updated to reflect the committed changes.